Get the uptime percentage for a heartbeat (cron) monitor.
GET
/cron/job/{job_id}/uptime_percentage
const url = 'https://api.siteqwality.com/cron/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/uptime_percentage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/cron/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/uptime_percentage \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” job_id
required
string format: uuid
Heartbeat monitor identifier
Query Parameters
Section titled “Query Parameters ” limit
integer format: int32
Page size
offset
integer format: int32
Page offset
Responses
Section titled “ Responses ”Uptime percentage
Media type application/json
object
cron_job_id
required
string format: uuid
incidents
required
integer format: int64
uptime_percentage
required
string
start_date_time
required
string format: date-time
end_date_time
required
string format: date-time
Example generated
{ "cron_job_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "incidents": 1, "uptime_percentage": "example", "start_date_time": "2026-04-15T12:00:00Z", "end_date_time": "2026-04-15T12:00:00Z"}Missing or invalid authentication
Heartbeat monitor not found
Internal server error